Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7086 - ispell german/spanish dictionnaries empty
Summary: ispell german/spanish dictionnaries empty
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ispell
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-17 21:41 UTC by helmut katzgraber
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-19 22:20:48 UTC


Attachments (Terms of Use)

Description helmut katzgraber 1999-11-17 21:41:18 UTC
the ispell dictionnaries for spanish and german (have not checked the
others -- might be the same) provided by:

ispell-german-3.1.20-22.alpha.rpm
ispell-german-3.1.20-22.i386.rpm
ispell-spanish-3.1.20-22.alpha.rpm
ispell-spanish-3.1.20-22.i386.rpm

install the documentation in /usr/doc, but do *not* put the hashes and
other dictfiles in /usr/lib/ispell.

cheers, helmut.

Comment 1 Michael K. Johnson 1999-11-19 22:20:59 UTC
$ rpm -qlp ispell-german-3.1.20-22.i386.rpm
/usr/doc/ispell-german-3.1.20
/usr/doc/ispell-german-3.1.20/ANNOUNCE
/usr/doc/ispell-german-3.1.20/Changes
/usr/doc/ispell-german-3.1.20/Contributors
/usr/doc/ispell-german-3.1.20/README
/usr/lib/ispell/deutsch.aff
/usr/lib/ispell/deutsch.hash
/usr/lib/ispell/deutschlxg.hash
/usr/lib/ispell/deutschmed.hash
/usr/lib/ispell/german.hash
$ rpm -qlp ispell-spanish-3.1.20-22.i386.rpm
/usr/doc/ispell-spanish-3.1.20
/usr/doc/ispell-spanish-3.1.20/LEAME
/usr/doc/ispell-spanish-3.1.20/README
/usr/lib/ispell/espanol.aff
/usr/lib/ispell/espanol.hash

You want to install it with
LANG=all rpm -Uvh ...
to install all files, even those flagged for languages not
used on the system.

Future versions of the ispell package will not mark those
files as language-specific, on the theory that if you
install ispell-german, you want the german dictionary even
if the machine is set up for, say, english.  However, the
dicts package will still (at least for now) have language-tagged
files, so the LANG=all trick will still be useful.


Note You need to log in before you can comment on or make changes to this bug.